ブログ: get

ID でブログを取得します。今すぐ試すまたは例を見る

ブログが非公開の場合は、承認が必要です。ブログが公開されている場合、このメソッドは承認なしで呼び出すことができます。

リクエスト

HTTP リクエスト

GET https://www.googleapis.com/blogger/v3/blogs/blogId

パラメータ

パラメータ名 説明
必須パラメータ
blogId string 取得するブログの ID。
オプション パラメータ
maxPosts unsigned integer ブログとともに取得する投稿の最大数。このパラメータを指定しない場合、ブログ リソースの一部として投稿は返されません。

リクエストの本文

このメソッドをリクエストの本文に含めないでください。

レスポンス

成功すると、このメソッドはレスポンスの本文で Blogs リソースを返します。

注: このメソッドで使用可能なコード例では、サポートされているプログラミング言語すべての例を示しているわけではありません(サポートされている言語の一覧については、クライアント ライブラリ ページをご覧ください)。

Java

Java クライアント ライブラリを使用します

// The BlogId for the http://code.blogger.com/ blog.
String CODE_BLOG_ID = "3213900";

// Configure the Java API Client for Installed Native AppHttpTr
ansport HTTP_TRANSPORT = new NetHttpTransport();JsonFa
ctory JSON_FACTORY = new JacksonFactory();
class="devsite-syntax-c1">// Configure for the Installed App OAuth2 flow.Credential c
redential = OAuth2Native.authorize(HTTP_TRANSPORT, JSON_FACTOR
Y, new LocalServerReceiver(), Arrays.asLi
st(BloggerScopes.BLOGGER));span> <span class
="devsite-syntax-c1">// Construct the Blogger API access facade object.Blogger blogger =
Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY) .setApplicationNa
me("Blogger-BlogGet-Snippet/1.0") .setHttpRequestIn
itializer(credential).build(); // This is the request action that you can configure before sending the request.Get blogGetAction = blog
ger.blogs().get(CODE_BLOG_ID);
// Restrict the result content to just the data we need.blogGetAction.setFields(

"description,name,posts/totalItems,updated");// This step sends the r

equest to the server.Blog blog = blogGetActio
n.execute();
// Now we can navigate the response.System.out.println("Name
: "+blog.getName());System.out.println("Desc
ription: "+blog.getDescription());System.out.println("Post
Count: "+blog.getPosts().getTotalItems());System.out.println("Last
Updated: "+blog.getUpdated());an>

試してみよう:

以下の API Explorer を使用し、ライブデータに対してこのメソッドを呼び出して、レスポンスを確認してみましょう。